﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;

namespace WcfService1
{
    [ServiceContract(Name="HelloWorldService")]
    public interface IHelloWorldService
    {
        [OperationContract]
        string SayHelloWorld(HelloWorldType HelloWorldType);
    }

    [DataContract]
    public enum LanguageType
    {
        [EnumMember]
        English,
        [EnumMember]
        Spanish
    };

    [DataContract]
    public class HelloWorldType
    {
        LanguageType _language = LanguageType.English;
        string _name;

        [DataMember]
        public LanguageType Language
        {
            get { return _language; }
            set { _language = value; }
        }

        [DataMember]
        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }
    }
}
